Merge catalog
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_catalog_id": "<string>",
"conflict_resolution": "skip"
}
'{}Merge Catalog
Merge another catalog into this one
POST
/
api
/
workspace
/
{workspaceId}
/
catalogs
/
{catalogId}
/
merge
Merge catalog
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_catalog_id": "<string>",
"conflict_resolution": "skip"
}
'{}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Body
application/json
Response
Catalogs merged successfully
The response is of type object.
Last modified on February 16, 2026
⌘I